//
//  AppController.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
//

#import "AppController.h"
#import <OpenGL/CGLMacro.h>

@implementation AppController

- (void) applicationWillFinishLaunching:(NSNotification*)notification
{
	NSScreen *screen = [[NSScreen screens] lastObject];
	NSRect winFrame = [screen frame];
	[visWindow setFrame: winFrame display: YES animate: NO];
	[visWindow setLevel: NSScreenSaverWindowLevel];
	
	[visView loadCompositionFromFile:
	 [[NSBundle mainBundle] pathForResource:@"shepere-cube" ofType:@"qtz"]];
	[visView startRendering];
	
	// hide the cursor
	CGDisplayHideCursor (kCGDirectMainDisplay);
}

@end
